// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// TPreference.cpp: implementation of the TPreference class.
//
//////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "TPreference.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TPreference::TPreference()
{
	userName = CString("");
	mailAddress = CString("");
	userID= CString("");
	passWord= CString("");
	popServer= CString("");
	smtpServer = CString("");
	checkMailTime = 120000; //Multiple of 60000
	checkMail = false;
	leaveOnServer = false;
}

TPreference::TPreference(CString inUserName, CString inAddress, CString inUserID, CString inPassWord,
						 CString inPopServer, CString inSmtpServer,
						 int inCheckMailTime,
						 bool inCheckMail,
						 bool inLeaveOnServer, bool inOnlyNewMail)
{
	userName = inUserName;
	mailAddress = inAddress;
	userID = inUserID;
	passWord = inPassWord;
	popServer = inPopServer;
	smtpServer = inSmtpServer;
	checkMailTime = inCheckMailTime;
	checkMail = inCheckMail;
	leaveOnServer = inLeaveOnServer;
	onlyNewMail = inOnlyNewMail;
}

TPreference::~TPreference()
{

}



CString& TPreference::GetUserName()
{
	return userName;
}

CString& TPreference::GetUserID()
{
	return userID;
}

CString& TPreference::GetPassWord()
{
	return passWord;
}

CString& TPreference::GetPOPServer()
{
	return popServer;
}

CString& TPreference::GetSMTPServer()
{
	return smtpServer;
}

int TPreference::GetCheckMailTime()
{
	return checkMailTime;
}

CString& TPreference::GetMailAddress()
{
	return mailAddress; 
}




void TPreference::SetUserName(CString& inString)
{
	userName = inString;
}

void TPreference::SetUserID(CString& inString)
{
	userID = inString;
}

void TPreference::SetPassWord(CString& inString)
{
	passWord = inString;
}

void TPreference::SetPOPServer(CString& inString)
{
	popServer = inString;
}

void TPreference::SetSMTPServer(CString& inString)
{
	smtpServer = inString;
}

void TPreference::SetCheckMailTime(int inTime)
{
	checkMailTime = inTime; 
}

void TPreference::SetMailAddress(CString & inAddress)
{
	mailAddress = inAddress;
}



void TPreference::SetCheckMail(bool flag)
{
	checkMail = flag;
}

void TPreference::SetLeaveOnServer(bool flag)
{
	leaveOnServer = flag;
}

void TPreference::SetOnlyNewMail(bool flag)
{
	onlyNewMail = flag;
}

bool TPreference::GetCheckMail()
{
	return checkMail;
}

bool TPreference::GetLeaveOnServer()
{
	return leaveOnServer;
}

bool TPreference::GetOnlyNewMail()
{
	return onlyNewMail;
}
