// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/
// TPreference.h: interface for the TPreference class.
//
//////////////////////////////////////////////////////////////////////




#if !defined(AFX_TPREFERENCE_H__3CA91613_6D7D_11D1_893A_00C026C028D6__INCLUDED_)
#define AFX_TPREFERENCE_H__3CA91613_6D7D_11D1_893A_00C026C028D6__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afx.h>

class TPreference  
{
public:
	void SetOnlyNewMail(bool flag);
	bool GetLeaveOnServer();
	bool GetOnlyNewMail();
	bool GetCheckMail();
	void SetLeaveOnServer(bool flag);
	void SetCheckMail(bool flag);
	CString& GetMailAddress();
	void SetMailAddress(CString& inAddress);
	CString& GetUserName();
	CString& GetUserID();
	CString& GetPassWord();
	CString& GetPOPServer();
	CString& GetSMTPServer();
	int GetCheckMailTime();
	void SetUserName(CString& inString);
	void SetUserID(CString& inString);
	void SetPassWord(CString& inString);
	void SetPOPServer(CString& inString);
	void SetSMTPServer(CString& inString);
	void SetCheckMailTime(int inTime);
	
	TPreference();
	TPreference(CString inUserName, CString mailAddress, CString inUserID, CString inPassWord,
									CString inPopServer, CString inSmtpServer,
									int inCheckMailTime,
									bool inCheckMail,
									bool inLeaveOnServer, bool onlyNewMail);
	virtual ~TPreference();
	
	

private:
	bool leaveOnServer;
	bool checkMail;
	bool onlyNewMail;
	CString mailAddress;
	int checkMailTime;
	CString passWord;
	CString userID;
	CString smtpServer;
	CString popServer;
	CString userName;
};

#endif // !defined(AFX_TPREFERENCE_H__3CA91613_6D7D_11D1_893A_00C026C028D6__INCLUDED_)
