// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// $Header: /Hermes GUI/TRawData.h 11    97-11-30 11:49 Fcl $
// $Log: /Hermes GUI/TRawData.h $
//
//11    97-11-30 11:49 Fcl
//Added a view source vindow in the letterview
//
//10    97-11-28 23:38 Fcl
//Added cut&paste support in header window
//Added copy constructors when needed,
//
//9     97-11-23 13:27 Peblin
//Added CSocket support
//
//8     97-11-14 17:58 Fcl
//
//7     11/12/97 11:04 Magnus
//All functionallity implemented. Compiles
//
//6     97-08-06 19:23 Fcl
//Added forward.h
//
//5     97-11-06 21:59 Fcl
//Added Header and Log statements at the top of each file

// TRawData.h: interface for the TRawData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRAWDATA_H__92ECFBD6_54F8_11D1_8835_0040051E6644__INCLUDED_)
#define AFX_TRAWDATA_H__92ECFBD6_54F8_11D1_8835_0040051E6644__INCLUDED_

#include "forward.h"
#include "TMMap.h"


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class TRawData  
{
public:
	 TRawData(TRawData &old);
	void SetMMap(TMMap &mm);
	void ReleaseFile();
	char* GetMem();
	// Get the RawData as a CString!
	CString TRawData::GetString();
	int GetSize();
	TRawData(TMMap* m);
	TRawData(CString& s);
	virtual ~TRawData();

private:
	char *mem;	// This variable has been const declarated, due to 
								// lack of compability between Cstring and char*
	TMMap *mmap;
	int size;
};

#endif // !defined(AFX_TRAWDATA_H__92ECFBD6_54F8_11D1_8835_0040051E6644__INCLUDED_)
