// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// CAddressWnd.cpp : implementation file
//

#include "stdafx.h"
#include "hermes gui.h"
#include "CAddressWnd.h"
//#include "AddressBookView.h"
#include "LetterView.h"
#include "TPostOffice.h"
#include "TAddressBook.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};

extern CHermesGUIApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CAddressWnd

IMPLEMENT_DYNCREATE(CAddressWnd, CFrameWnd)

CAddressWnd::CAddressWnd()
{
}

CAddressWnd::~CAddressWnd()
{
}


BEGIN_MESSAGE_MAP(CAddressWnd, CFrameWnd)
	//{{AFX_MSG_MAP(CAddressWnd)
//	ON_WM_CREATE()
	ON_COMMAND(ID_TESTBOOK, OnTestbook)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddressWnd message handlers

int CAddressWnd::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndToolBar.Create(this) ||
		!m_wndToolBar.LoadToolBar(IDR_ADDRESSFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}

	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

	// TODO: Remove this if you don't want tool tips or a resizeable toolbar
	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() |
		CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC);

	// TODO: Delete these three lines if you don't want the toolbar to
	//  be dockable
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);
	
	return 0;
}

void CAddressWnd::OnTestbook() 
{
	AfxMessageBox("Testbook clicked. This function doesnt do anything.");
}

/*BOOL CAddressWnd::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext) 
{

	return CFrameWnd::OnCreateClient(lpcs, pContext);
}
*/