// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/
// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__6FE4E9B5_5783_11D1_8F95_0020AFAC5A5D__INCLUDED_)
#define AFX_MAINFRM_H__6FE4E9B5_5783_11D1_8F95_0020AFAC5A5D__INCLUDED_

#include "CFlatBar.h"  // Include BEFORE MainFrm.h

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CFlatToolBar    m_wndToolBar;

// Generated message map functions
protected:
	CSplitterWnd m_wndSplitter;
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdateShowAddressFrame(CCmdUI* pCmdUI);
	afx_msg void OnShowAddressFrame();
	afx_msg void OnFileNew();
	afx_msg void OnCheckMail();
	afx_msg LONG OnNewMail(UINT, LONG);
	afx_msg LONG OnOutGoingMail(UINT, LONG);
	afx_msg void OnPreferences();
	afx_msg void OnPaint();
	afx_msg void OnReply();
	afx_msg void OnUpdateReply(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__6FE4E9B5_5783_11D1_8F95_0020AFAC5A5D__INCLUDED_)
