// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// PreferencesDialog.cpp : implementation file
//

#include "stdafx.h"
#include "hermes gui.h"
#include "PreferencesDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPreferencesDialog dialog


CPreferencesDialog::CPreferencesDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CPreferencesDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPreferencesDialog)
	m_Name = _T("");
	m_PassWord = _T("");
	m_POPServer = _T("");
	m_SMTPServer = _T("");
	m_UserID = _T("");
	m_CheckMail = FALSE;
	m_LeaveOnServer = FALSE;
	m_Address = _T("");
	m_CheckMailTime = 0;
	m_OnlyNewMail = FALSE;
	//}}AFX_DATA_INIT
}


void CPreferencesDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPreferencesDialog)
	DDX_Text(pDX, IDC_PREFSNAME, m_Name);
	DDX_Text(pDX, IDC_PREFSPASSWORD, m_PassWord);
	DDX_Text(pDX, IDC_PREFSPOPSERVER, m_POPServer);
	DDX_Text(pDX, IDC_PREFSSMTPSERVER, m_SMTPServer);
	DDX_Text(pDX, IDC_PREFSUSERID, m_UserID);
	DDX_Check(pDX, IDC_PREFSCHECKMAIL, m_CheckMail);
	DDX_Check(pDX, IDC_PREFSLEAVEONSERVER, m_LeaveOnServer);
	DDX_Text(pDX, IDC_PREFSADDRESS, m_Address);
	DDX_Text(pDX, IDC_PREFSCHECKMAILTIME, m_CheckMailTime);
	DDV_MinMaxInt(pDX, m_CheckMailTime, 0, 120);
	DDX_Check(pDX, IDC_ONLYNEWMAIL, m_OnlyNewMail);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPreferencesDialog, CDialog)
	//{{AFX_MSG_MAP(CPreferencesDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPreferencesDialog message handlers
