// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// TAddressBook.h: interface for the TAddressBook class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TADDRESSBOOK_H__D7E49BE4_6831_11D1_8FB4_0020AFAC5A5D__INCLUDED_)
#define AFX_TADDRESSBOOK_H__D7E49BE4_6831_11D1_8FB4_0020AFAC5A5D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TAddress.h"
#include "wabobject.h"

class TAddressBook  
{
public:
	bool IsEmailAddress(const CString& inString);
	void FindAddress(HWND hWnd);
	void AddressProperties(TAddress* address, HWND hWnd);
	void GetWABContents();
	 TAddressBook(TAddressList* addressList);
	const TAddressList& GetAddressList();
	TAddress* Lookup(const CString fullName) const;
	bool RemoveAddress(TAddress* address);
	bool AddAddress(HWND hWnd);
	TAddressBook();
	virtual ~TAddressBook();

private:
	CWAB* m_pWabObject;
	TAddressList* addresses;
};

#endif // !defined(AFX_TADDRESSBOOK_H__D7E49BE4_6831_11D1_8FB4_0020AFAC5A5D__INCLUDED_)
