// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// TGenericException.h: interface for the TGenericException class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TGENERICEXCEPTION_H__C7F1B974_58FB_11D1_8F97_0020AFAC5A5D__INCLUDED_)
#define AFX_TGENERICEXCEPTION_H__C7F1B974_58FB_11D1_8F97_0020AFAC5A5D__INCLUDED_

#include "forward.h"
#include <typeinfo.h>

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define EXCEPT(s)   \
	throw TGenericException((s), typeid(this).name(), __LINE__, __FILE__)

#define TRY_CATCH(a) \
    try {a;} catch(TGenericException exception) { exception.ReportError();}

class TGenericException : public CException  
{
public:
	TGenericException();
	TGenericException(TGenericException& t);
	virtual ~TGenericException();
	TGenericException(const LPTSTR const errorMessage, const char * objectName,
		int lineNo, const LPTSTR const fileName);
	BOOL GetErrorMessage(LPTSTR lpszError, UINT nMaxError, PUINT pnHelpContext = NULL);
private:
	CString m_errorMessage;
};

#endif // !defined(AFX_TGENERICEXCEPTION_H__C7F1B974_58FB_11D1_8F97_0020AFAC5A5D__INCLUDED_)
