// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// $Header: /Hermes GUI/TLetter.h 16    97-11-29 13:11 Fcl $
// $Log: /Hermes GUI/TLetter.h $
//
//16    97-11-29 13:11 Fcl
//Added rename possibility
//
//15    97-11-28 23:38 Fcl
//Added cut&paste support in header window
//Added copy constructors when needed,
//
//14    97-11-26 13:04 Peblin
//fixed precompiled headers
//
//13    97-11-23 13:27 Peblin
//Added CSocket support
//
//12    97-11-14 19:31 Fcl
//Check in to be able to move the repository to mandel.
//
//11    97-11-12 18:26 Fcl
//just fixed a small syntaxerror
//
//10    97-11-12 17:35 Fcl
//IMPORTANT!!!
//We added a new input argument. TRawData...
//
//9     97-08-06 19:24 Fcl
//Added forward.h
//
//8     11/08/97 17:44 Magnus
//All functionality implemented. Compiles.
//
//7     97-11-06 21:59 Fcl
//Added Header and Log statements at the top of each file

// TLetter.h: interface for the TLetter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TLETTER_H__DA79A3E1_54F5_11D1_8835_0040051E6644__INCLUDED_)
#define AFX_TLETTER_H__DA79A3E1_54F5_11D1_8835_0040051E6644__INCLUDED_

#include "forward.h"
#include "TPostOffice.h"
#include "TAttachment.h"

#include "TRawData.h"
#include "THeader.h"
#include "TFolder.h"

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

//class TFolder; //Forward declaration due to circular depencancy

class TLetterList : public CList<TLetter*,TLetter*> {};

class TLetter  
{
public:
	 TLetter(TLetter &oldLetter);
	TLetter(THeader &inHeader, CString &s);
	TLetter(TRawData &inRawData);
	TLetter(int inID, THeader &inHeader, TRawData &inRawData);
	virtual ~TLetter();
	void SaveAttachment(TAttachment attachment, CString filename);
	void Delete();
	CString & GetBlaBlaBla();
	void Save();
	TRawData & GetRawData();
	THeader & GetHeader();
	CString & GetReadableText();
	TFolder& GetFolder();
	void SetFolder(TFolder &newFolder);
	int GetID();
	// SetID is used only in TIO!
	void SetID(int inID);
private:
	int ID; // ju!
	THeader* header;
	TFolder* folder;
	TRawData* rawData;
};

#endif // !defined(AFX_TLETTER_H__DA79A3E1_54F5_11D1_8835_0040051E6644__INCLUDED_)
