// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// $Header: /Hermes GUI/TMMap.h 14    97-12-06 0:22 Fcl $
// $Log: /Hermes GUI/TMMap.h $
//
//14    97-12-06 0:22 Fcl
//Fixed the startup - can now handle empty mail folder or corrupt one.
//
//13    97-11-26 13:04 Peblin
//fixed precompiled headers
//
//12    97-11-23 13:27 Peblin
//Added CSocket support
//
//11    97-11-14 12:20 Fcl
//removed the unnecessary const declaration
//
//10    97-11-14 11:20 Fcl
//Changed TMMap::GetPointer to return a constant pointer and moved
//postOffice decl.
//
//9     97-11-13 13:32 Fcl
//Check in to be able to continue at magnum
//
//8     11/12/97 10:45 Magnus
//Added GetPointer()
//
//7     97-08-06 19:24 Fcl
//Added forward.h
//
//6     97-11-08 21:37 Fcl
//Not yet compiling
//
//5     97-11-08 20:33 Fcl
//First compiling version
//
//4     97-11-06 21:59 Fcl
//Added Header and Log statements at the top of each file

// TMMap.h: interface for the TMMap class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TMMAP_H__CB9DF22F_5605_11D1_AA70_00A02447DF06__INCLUDED_)
#define AFX_TMMAP_H__CB9DF22F_5605_11D1_AA70_00A02447DF06__INCLUDED_

#include "forward.h"


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class TMMap  
{
public:
	void Close();
	char* GetPointer();
	int GetSize();
	void SetOffset(int offset);
	char& operator[](int i);
	TMMap(CString& inFileName, int readWrite, int inSize=0);
				// readWrite can be either or both of: 
				// GENERIC_READ 
				// GENERIC_WRITE 
 
	virtual ~TMMap();

private:
	char * pointer;
	CString fileName;
	HANDLE hMap;	//The MFC handle to the map
	HANDLE hFile;     //The MFC handle to the file
	int offset;			  // Specifies the offset for array operation. Defaults to zero.
	int size;			   // File size
};

#endif // !defined(AFX_TMMAP_H__CB9DF22F_5605_11D1_AA70_00A02447DF06__INCLUDED_)
