// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// $Header: /Hermes GUI/TReceiveModule.h 12    97-12-07 12:17 Fcl $
// $Log: /Hermes GUI/TReceiveModule.h $
//
//12    97-12-07 12:17 Fcl
//Misc files checkin - the folder system now saves and it is possible to
//send letters
//
//New checkbox added in preferences 
//
//11    97-11-26 13:04 Peblin
//fixed precompiled headers
//
//10    97-11-23 13:27 Peblin
//Added CSocket support
//
//9     97-11-22 18:42 Fcl
//Added POP3 protocol
//
//8     97-11-22 0:05 Fcl
//
//7     97-11-21 18:33 Peblin
//
//6     97-11-21 18:32 Peblin
//
//5     97-08-06 19:23 Fcl
//Added forward.h
//
//4     97-11-06 21:59 Fcl
//Added Header and Log statements at the top of each file

// TReceiveModule.h: interface for the TReceiveModule class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRECEIVEMODULE_H__CB9DF22D_5605_11D1_AA70_00A02447DF06__INCLUDED_)
#define AFX_TRECEIVEMODULE_H__CB9DF22D_5605_11D1_AA70_00A02447DF06__INCLUDED_

#include "forward.h"
#include "TRawData.h"

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class TReceiveModule  
{
public:
	bool leaveonserver;
	bool onlynewmail;
	TRawData* Receive();
	bool Check();
	void Close();
	TReceiveModule(CString inHostName, CString inUserName, 
					CString inPassword, bool inleaveonserver, bool inOnlyNewMail);
	virtual ~TReceiveModule();

private:
	CSocket* m_pSocket;
	CSocketFile* m_pFile;
	CArchive* m_pReceiveArch;
	CArchive* m_pSendArch;
	CList<int, int>* msgids;

	CString userName;
	CString password;
	CString hostName;
};

#endif // !defined(AFX_TRECEIVEMODULE_H__CB9DF22D_5605_11D1_AA70_00A02447DF06__INCLUDED_)
