// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// $Header: /Hermes GUI/TSendModule.h 9     97-11-26 13:04 Peblin $
// $Log: /Hermes GUI/TSendModule.h $
//
//9     97-11-26 13:04 Peblin
//fixed precompiled headers
//
//8     97-11-23 13:27 Peblin
//Added CSocket support
//
//7     97-11-22 0:05 Fcl
//
//6     97-11-19 18:10 Peblin
//Changed return types for Send() and Connect() to "bool". 
//
//5     97-08-06 19:23 Fcl
//Added forward.h
//
//4     97-11-06 21:59 Fcl
//Added Header and Log statements at the top of each file

// TSendModule.h: interface for the TSendModule class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TSENDMODULE_H__CB9DF22C_5605_11D1_AA70_00A02447DF06__INCLUDED_)
#define AFX_TSENDMODULE_H__CB9DF22C_5605_11D1_AA70_00A02447DF06__INCLUDED_

#include "forward.h"
#include "TLetter.h"
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class TSendModule  
{
public:
	void Close();
	bool Send(TLetter &letter);
	bool Connect();
	TSendModule(CString inHostName);		//Design change!
	virtual ~TSendModule();

private:
	CArchive * m_pReceiveArch;
	CArchive * m_pSendArch;
	CSocketFile * m_pFile;
	CSocket * m_pSocket;
	CString hostName;
};

#endif // !defined(AFX_TSENDMODULE_H__CB9DF22C_5605_11D1_AA70_00A02447DF06__INCLUDED_)
