// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/
#if !defined(AFX_FOLDERVIEW_H__21A21C94_664C_11D1_8FAD_0020AFAC5A5D__INCLUDED_)
#define AFX_FOLDERVIEW_H__21A21C94_664C_11D1_8FAD_0020AFAC5A5D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// FolderView.h : header file
//

#include "TFolder.h"


/////////////////////////////////////////////////////////////////////////////
// CFolderView view

class CFolderView : public CTreeView
{
protected:
	CFolderView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CFolderView)

// Attributes
public:
	bool isdragging;
	TFolder *dragfolder;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFolderView)
	public:
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnContextMenu(CWnd* pWnd, CPoint point); 
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CFolderView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CFolderView)
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEditCut();
	afx_msg void OnEditCopy();
	afx_msg void OnEditPaste();
	afx_msg void OnPopupNew();
	afx_msg void OnPopupDelete();
	afx_msg void OnUpdatePopupDelete(CCmdUI* pCmdUI);
	afx_msg void OnPopupRename();
	afx_msg void OnPopupEmptytrash();
	afx_msg void OnBegindrag(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CImageList* m_pDragImage;
	void InsertFolder(TFolder& folder, HTREEITEM parent=TVI_ROOT);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FOLDERVIEW_H__21A21C94_664C_11D1_8FAD_0020AFAC5A5D__INCLUDED_)
