// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// $Header: /Hermes GUI/TAddress.h 21    97-12-02 23:41 Peblin $
// $Log: /Hermes GUI/TAddress.h $
//
//21    97-12-02 23:41 Peblin
//Added data field in address
//
//20    97-11-30 18:45 Fcl
//Added decoding of the header fields via an DecodeMIMEHeader function
//
//19    97-11-28 22:09 Fcl
//Added cut&paste support in header window
//Added copy constructors when needed,
//
//18    97-11-26 13:04 Peblin
//fixed precompiled headers
//
//17    97-11-23 13:27 Peblin
//Added CSocket support
//
//16    97-11-15 21:40 Fcl
//First tested version. Is able to save and load folders with no letters
//inside
//
//15    97-11-14 19:31 Fcl
//Check in to be able to move the repository to mandel.
//
//14    97-11-14 13:11 Fcl
//removed some const-return types
//
//13    97-08-06 19:22 Fcl
//Added include file forward.h that defines all classes
//
//12    97-11-07 16:49 Peblin
//Added "const" declarations for a number of data-access functions.
//
//11    97-11-07 14:13 Peblin
//
//10    97-11-07 11:26 Peblin
//
//9     97-11-07 9:38 Peblin
//All functionallity implemented. Compiles.
//
//8     97-11-06 21:56 Fcl
//Added Header and Log statement at the top of each file

// TAddress.h: interface for the TAddress class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TADDRESS_H__92ECFBD5_54F8_11D1_8835_0040051E6644__INCLUDED_)
#define AFX_TADDRESS_H__92ECFBD5_54F8_11D1_8835_0040051E6644__INCLUDED_

#include "forward.h"

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class TAddressList : public CList<TAddress*,TAddress*> 
{
public:
	TAddressList();
	TAddressList(TAddressList &old);	
};

// class TAddress;

class TAddress  
{
public:
	TAddress();
	TAddress(CString inAddress, CString inName, LPVOID inData);
	const CString GetName() const;  // Not complian with design
	const CString & GetAddress()  const;
	TAddress(CString inAddress, CString inName);
	virtual ~TAddress();

	LPVOID data;	// Publicly accessible from wabobject
private:
	CString address;
	CString name;

};


#endif // !defined(AFX_TADDRESS_H__92ECFBD5_54F8_11D1_8835_0040051E6644__INCLUDED_)
