// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// TDecoder.h: interface for the TDecoder class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TDECODER_H__BA08E954_5CC9_11D1_8846_0040051E6644__INCLUDED_)
#define AFX_TDECODER_H__BA08E954_5CC9_11D1_8846_0040051E6644__INCLUDED_

#include "stdafx.h"
#include "forward.h"
#include "TRawData.h"

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class TDecoderList : public CList<TDecoder*,TDecoder*> {};

class TDecoder  
{
public:
	virtual CString& Decode(TRawData& rawData) = 0; // Function must be declared in inherited classes
	char* GetRawText(TRawData& rawData);
	TDecoder();
	virtual ~TDecoder();

};

#endif // !defined(AFX_TDECODER_H__BA08E954_5CC9_11D1_8846_0040051E6644__INCLUDED_)
