// H E R M E S  M A I L
// Copyright 1997-98 OaS 2004
// Further info at http://www.lysator.liu.se/~fcl/hermes/

// TGenericException.cpp: implementation of the TGenericException class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TGenericException.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TGenericException::TGenericException() : CException(true)
{

}

TGenericException::TGenericException(TGenericException& t) : CException(true)
{
  m_errorMessage = t.m_errorMessage;
}

TGenericException::~TGenericException()
{

}

TGenericException::TGenericException(const LPTSTR const errorMessage, 
		const char * objectName, int lineNo, 
		const LPTSTR const fileName) : CException(true)
{
char buf[80];
	_itoa(lineNo, buf, 10);
	m_errorMessage =  CString("General exception: ") + CString(errorMessage) +
		CString("\nin file ") + CString(fileName) + CString("\nline ") + CString(buf) +
		CString("\nobject ") + CString(objectName);
}

BOOL TGenericException::GetErrorMessage(LPTSTR lpszError, UINT nMaxError, 
											PUINT pnHelpContext)
{
	strncpy(lpszError, m_errorMessage, nMaxError);
	return true;
}
